Bug 427180 - fast user switching breaks after installing kmod-nvidia
fast user switching breaks after installing kmod-nvidia
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: fast-user-switch-applet (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-01 20:50 EST by Ricky Ng-Adam
Modified: 2008-04-08 06:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-05 12:09:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ricky Ng-Adam 2008-01-01 20:50:23 EST
Description of problem:

After setting my system to run with compiz and the accelerated nvidia driver,
the `fast user switching` switches back to incorrect console.

Version-Release number of selected component (if applicable):

fast-user-switch-applet-2.20.0-1.fc8
kmod-nvidia-169.07-1.lvn8
compiz-fusion-0.6.0-7.fc8
emerald-themes-0.5.2-2.fc8
compiz-fusion-extras-0.6.0-1.fc8
emerald-0.5.2-2.fc8
compiz-fusion-0.6.0-7.fc8
compiz-manager-0.6.0-4.fc8
compiz-fusion-extras-gnome-0.6.0-1.fc8
gnome-compiz-manager-0.10.4-3.fc8
libcompizconfig-0.6.0-3.fc8
compiz-fusion-gnome-0.6.0-7.fc8
ccsm-0.6.0-3.fc8

How reproducible:

always

Steps to Reproduce:
1. Install nvidia driver + compiz
2. Login with user 1
3. Switch user 2
4. Switch back 1
  
Actual results:

-Black screen associated with console CTRL-ALT-F7
-Need to enter CTRL-ALT-F10 to switch to correct user 1 X11 console.

Expected results:

Switch to correct user X11 console.

Additional info:

yum install kmod-nvidia
yum install compiz-fusion emerald-themes compiz-fusion-extras emerald
compiz-fusion compiz-manager compiz-fusion-extras-gnome gnome-compiz-manager
libcompizconfig compiz-fusion-gnome ccsm
Comment 1 Ricky Ng-Adam 2008-01-01 21:01:47 EST
yum remove kmod-nvidia (also removes xorg-x11-drv-nvidia and
kmod-nvidia-2.6.23.9-85.fc8) makes the problem go away.  
Comment 2 Ricky Ng-Adam 2008-01-01 21:10:21 EST
as the accelerated nvidia driver is from Livna, I've also opened a bug there:

http://bugzilla.livna.org/show_bug.cgi?id=1790
Comment 3 Matthias Clasen 2008-02-05 12:09:31 EST
There is nothing the fast-user-switch-applet can do to fix this problem. 

It needs deep changes to the underlying X/kernel architecture, which are
currently underway. 

Note You need to log in before you can comment on or make changes to this bug.